Skip to navigation

Update an RNA sequence

Update an RNA sequence

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

rna_sequence_idstringRequired

Request

This endpoint expects an object.
aliaseslist of stringsOptional
Aliases to add to the RNA sequence
annotationslist of objectsOptional
Annotations to create on the RNA sequence.
authorIdslist of stringsOptional
IDs of users to set as the RNA sequence's authors.
basesstringOptional
Base pairs for the RNA sequence.
customFieldsmap from strings to objectsOptional
Custom fields to add to the RNA sequence. Every field should have its name as a key, mapping to an object with information about the value of the field.
customNotationstringOptional
Representation of the sequence or oligo in the custom notation specified by customNotationId
customNotationIdstringOptional
ID of the notation used to interpret the string provided in the customNotation field
entityRegistryIdstringOptional
fieldsmap from strings to objectsOptional
Fields to set on the RNA sequence. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderIdstringOptional
ID of the folder containing the RNA sequence.
helmstringOptional
Representation of the RNA sequence in HELM syntax, including any chemical modifications
isCircularbooleanOptional
Whether the RNA sequence is circular or linear. RNA sequences can only be linear
namestringOptional
Name of the RNA sequence.
partslist of objectsOptional
primerslist of objectsOptional
schemaIdstringOptional
ID of the RNA sequence's schema.
translationslist of objectsOptional
Translations to create on the RNA sequence. Translations are specified by either a combination of 'start' and 'end' fields, or a list of regions. Both cannot be provided.

Response

OK
aliaseslist of stringsOptional
alignmentIdslist of stringsOptional
API IDs of Nucleotide Alignments involving the RNA sequence
annotationslist of objectsOptional
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the RNA Sequence in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
basesstringOptional
createdAtdatetimeOptionalRead-only
creatorobjectOptional
customFieldsmap from strings to objectsOptional
customNotationstring or nullOptional
Representation of the RNA Sequence in the custom notation specified in the request. Null if no notation was specified.
customNotationNamestring or nullOptional
Name of the custom notation specified in the request. Null if no notation was specified.
entityRegistryIdstring or nullOptional
fieldsmap from strings to objectsOptional
folderIdstring or nullOptional
helmstring or nullOptional
Representation of the RNA Sequence in HELM syntax, including any chemical modifications.
idstringOptional
isCircularbooleanOptional
lengthintegerOptional
modifiedAtdatetimeOptionalRead-only
namestringOptional
partslist of objectsOptional
primerslist of objectsOptional
registrationOriginobject or nullOptional
registryIdstring or nullOptional
schemaobject or nullOptional
translationslist of objectsOptional
urlstringOptional
The path of the web URL, omitting the tenant domain
webURLstringOptionalRead-only

Errors

400
Bad Request Error